/*
 * Copyright 2012 The Error Prone Authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.google.errorprone.suppliers;

import com.google.errorprone.VisitorState;
import java.io.Serializable;

/**
 * Simple supplier pattern, which allows delayed binding to access to runtime elements.
 *
 * @author alexeagle@google.com (Alex Eagle)
 */
public interface Supplier<T> extends Serializable {
  T get(VisitorState state);
}
